> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/offer-events/add_offer_event_of_offer.md).

# Add offer event of offer

| HTTP method | Endpoint                                 |
| ----------- | ---------------------------------------- |
| **POST**    | **/v1/offers/{offer\_id}/offer\_events** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

**Note: If is\_private=1, you won’t be able to set payout and offer\_payout\_tier.**

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field                 | Type   | Description                                                                                                                                                                                                                                             | Nullable |
| --------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| name                  | string | Event name.                                                                                                                                                                                                                                             | No       |
| revenue\_type         | string | Event revenue type. Allowed values: RPC · RPI · RPA · RPL · RPS · RPA+RPS                                                                                                                                                                               |          |
| revenue               | string | Event revenue.                                                                                                                                                                                                                                          |          |
| percent\_revenue      | string | Event percent revenue.                                                                                                                                                                                                                                  |          |
| payout\_type          | string | Event payout type. Allowed values: CPC · CPI · CPA · CPL · CPS · CPA+CPS                                                                                                                                                                                |          |
| payout                | string | Event payout.                                                                                                                                                                                                                                           |          |
| percent\_payout       | string | Event percent payout.                                                                                                                                                                                                                                   |          |
| status                | string | The status of the event. Allowed values:  active  paused  default active                                                                                                                                                                                |          |
| is\_private           | string | Enabling this setting will track revenue of event only, affiliate do not have access to private events, custom affiliate payouts can not be set nor can 3rd party affiliate postbacks be placed.  Allowed values:  1: Open  0: Close  Close ( default ) |          |
| approve\_conversions  | string | Whether Conversions for this Offer must be manually approved. If enabled, Conversions will receive a "status" of "pending" when generated. Allowed values:  1: Open  0: Close  Close ( default )                                                        |          |
| is\_allowed\_multiple | string | Enabling this setting will allow multiple conversions to be recorded per user for only one click id. Allowed values:  1: Open  0: Close  Close ( default )                                                                                              |          |
| is\_end\_point        | string | Enabling this setting will close the active click session when this event is converted. Allowed values:  1: Open  0: Close  Close ( default )                                                                                                           |          |
| conversion\_protocol  | string | The Conversion tracking method to use for the offer event. Allowed values: 1 mage Pixel  2 ostback URL  3 Frame Pixel  Postback URL (default)                                                                                                           |          |
| offer\_payout\_tier   |        |                                                                                                                                                                                                                                                         |          |
| tier\_id              | string | The unique id for the tier.                                                                                                                                                                                                                             | No       |
| tier\_payout          | string | Tier payout.                                                                                                                                                                                                                                            | No       |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field                 | Type    | Description                                                                                                                                                                                                                         |   |
| --------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| id                    | integer | The unique id for the event.                                                                                                                                                                                                        |   |
| name                  | string  | Offer Event name.                                                                                                                                                                                                                   |   |
| revenue\_type         | string  | Event revenue type. Allowed values: RPC · RPI · RPA · RPL · RPS · RPA+RPS                                                                                                                                                           |   |
| revenue               | string  | Event revenue.                                                                                                                                                                                                                      |   |
| percent\_revenue      | string  | Event percent revenue.                                                                                                                                                                                                              |   |
| payout\_type          | string  | Event payout type. Allowed values: CPC · CPI · CPA · CPL · CPS · CPA+CPS                                                                                                                                                            |   |
| payout                | string  | Event payout.                                                                                                                                                                                                                       |   |
| percent\_payout       | string  | Event percent payout.                                                                                                                                                                                                               |   |
| status                | string  | The status of the event.  Allowed values:  active  paused                                                                                                                                                                           |   |
| is\_private           | integer | Enabling this setting will track revenue of event only, affiliate do not have access to private events, custom affiliate payouts can not be set nor can 3rd party affiliate postbacks be placed. Allowed values:  1: Open  0: Close |   |
| approve\_conversions  | integer | Whether Conversions for this Offer must be manually approved. If enabled, Conversions will receive a "status" of "pending" when generated.  Allowed values:  1: Open  0: Close                                                      |   |
| is\_allowed\_multiple | integer | Enabling this setting will allow multiple conversions to be recorded per user for only one click id.  Allowed values:  1: Open  0: Close                                                                                            |   |
| is\_end\_point        | integer | Enabling this setting will close the active click session when this event is converted.  Allowed values:  1: Open  0: Close                                                                                                         |   |
| conversion\_protocol  | integer | The Conversion tracking method to use for the offer event. Allowed values: 1 mage Pixel  2 ostback URL  3 Frame Pixel                                                                                                               |   |
| offer\_payout\_tier   |         |                                                                                                                                                                                                                                     |   |
| tier\_id              | integer | The unique id for the tier.                                                                                                                                                                                                         |   |
| tier\_payout          | string  | Tier payout.                                                                                                                                                                                                                        |   |
| tier\_percent\_payout | string  | Tier percent payout.                                                                                                                                                                                                                |   |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST**

<https://{networkname}.api.offerslook.com/v1/offers/102/offer_events>

**Request POST**

<http://{networkname}.api.offerslook.com/v1/offers/102/offer_events>

```
    {
      "name": "Test",
      "revenue_type": "RPA+RPS",
      "revenue": "2.8",
      "percent_revenue": "10",
      "payout_type": "CPA+CPS",
      "payout": "2.1",
      "percent_payout": "10",
      "status": "active",
      "is_private": 0,
      "approve_conversions": 0,
      "is_allowed_multiple": 0,
      "is_end_point": 0,
      "conversion_protocol": 2,
      "offer_payout_tier": [
        {
          "tier_id": 12,
          "tier_payout": "2.5",
          "tier_percent_payout": "10"
        },
        {
          "tier_id": 11,
          "tier_payout": "2.5",
          "tier_percent_payout": "10"
        }
      ]
    }
```

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_event": {
          "id": 10,
          "name": "Test",
          "revenue_type": "RPA+RPS",
          "revenue": "2.8",
          "percent_revenue": "10",
          "payout_type": "CPA+CPS",
          "payout": "2.1",
          "percent_payout": "10",
          "status": "active",
          "conversion_protocol": 2,
          "is_private": 0,
          "approve_conversion": 0,
          "is_allowed_multiple": 0,
          "is_end_point": 0,
          "offer_payout_tier": [
            {
              "tier_id": 12,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            },
            {
              "tier_id": 11,
              "offer_id": 102,
              "event_id": 10,
              "tier_payout": "2.5",
              "tier_percent_payout": "10"
            }
          ],
          "create_time": 1478088797,
          "update_time": 1478088797
        }
      }
    }
```
